Kerbal Space Program - Bug #525
Only one of colliding objects is destroyed, the other is always undamaged no matter what.

04/06/2013 03:53 AM - MBobrik
Assignee:
Target version:
Description

| suppose this is a bug. When two objects collide, only one is actually damaged, the other always survives, no matter collision speed
or mass of the colliding objects (see SShot1-4). In flight log, there is always entry like "ObjectA collided into ObjectB", see SShot5,

and it seems that only the first object is destroyed, and the second, that was collided into is always unharmed no matter what.

I think that when two objects collide, both should take damage.

History

#1 - 11/20/2015 08:55 PM - Squelch
- Status changed from New to Resolved

- % Done changed from 0 to 100

Part destruction due to impact is applied to the parts in collision. There is no partial damage modeling for subsequent parts in the chain. However,
The impact velocity and part tolerances, together with revisions to the physics since this report, means that complete craft destruction is assured at
high combined velocities, and only a few parts may survive at lower velocities.

#2 - 07/17/2016 09:17 AM - TriggerAu

- Status changed from Resolved to Closed
